from setuptools import setup, find_packages


setup(
    name='rugwebsite',
    version=__import__('rugwebsite').__version__,

    description='RUG SAML2 example',
    long_description='RUG SAML2 example',

    url='https://git.webhosting.rug.nl/p253591/rug-website/',

    author='Herbert Kruitbosch',
    author_email='H.T.Kruitbosch@rug.nl',
    license='Only for use within the University of Groningen and only with permission from the authors.',

    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: Only with authors permission',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
    ],

    # What does your project relate to?
    keywords='saml2, rug',
    packages=find_packages(exclude=[]),
    include_package_data=True,

    install_requires=[
        'pyOpenSSL>=17.4.0',
        'cryptography>=2.1.3,<3',
        'django>=1.11.7,<1.12',
        'django-bootstrap4>=0.0.4,<0.1',
        'django-saml2-pro-auth>=0.0.2,<0.1'
    ],
    extras_require={
        'dev': [],
        'test': [],
    },
    zip_safe=False,
)
